ModernBill SSL CURLOPT_SSL_VERIFYPEER和CURLOPT_SSL_VERIFYHOST设置中间攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1193645 漏洞类型 未知
发布时间 2006-08-31 更新时间 2006-08-31
CVE编号 CVE-2006-4499 CNNVD-ID CNNVD-200608-538
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
https://www.securityfocus.com/bid/83370
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-538
|漏洞详情
ModernBill5.0.4及早期版本使用cURL时,对不检验SSL证书的CURLOPT_SSL_VERIFYPEER和CURLOPT_SSL_VERIFYHOST设置不安全,利用此漏洞,远程攻击者可借助中间人(MITM)攻击读取网络通信。
|受影响的产品
ModernGigabyte ModernBill 5.0.4
|参考资料

来源:MISC
链接:http://www.justinsamuel.com/security-vulnerabilities/12/vulnerability-modernbill-insecure-curl-settings
来源:SECUNIA
名称:21663
链接:http://secunia.com/advisories/21663